This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 478169 - MIGRATED_FROM_JIRA: Modules cannot modify DN or Filter Values
MIGRATED_FROM_JIRA: Modules cannot modify DN or Filter Values
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Unknown (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:05 EST by Chandrasekar Kannan
Modified: 2015-01-04 19:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:05:37 EST
Modules which intercept the beforeXXX() actions cannot modify the baseDn nor filter values; the values passed are immutable strings. PenroseSession should be modified to update these values after the initial postEvent() action.
Additional Comments From rammic dated Thu Nov 09 13:14:50 CST 2006 
Example code, allows modules to update search parameters.

Additional Comments From endisd dated Tue Nov 21 13:10:18 CST 2006 
Michael,

Thanks for the patch. I've applied the patch with slight modification, the results object should not be modifiable by event listeners because it could affect the client (e.g. results not closed).



=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {}
                          ],
          'attachmentNames' => 'PenroseSessionPatch.txt',
          'reporter' => 'rammic',
          'key' => 'PENROSE-192',
          'assignee' => 'endisd',
          'summary' => 'Modules cannot modify DN or Filter Values',
          'id' => '10570',
          'updated' => '2006-11-21 13:10:18.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2006-11-27 00:00:00.0',
                             'sequence' => '20',
                             'name' => 'Penrose-1.1.2',
                             'released' => 'true',
                             'id' => '10091',
                             'archived' => 'false'
                           }
                         ],
          'description' => 'Modules which intercept the beforeXXX() actions cannot modify the baseDn nor filter values; the values passed are immutable strings. PenroseSession should be modified to update these values after the initial postEvent() action.',
          'affectsVersions' => [],
          'created' => '2006-11-09 13:09:43.0',
          'resolution' => '1',
          'type' => '1'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:05:39 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-192

Note You need to log in before you can comment on or make changes to this bug.